Subject: Create sniff for function / method doc comment long types

Description

In the cgl there is a doc block comment example

/**
* Initializes the plugin.

*

* Checks the configuration and substitutes defaults for missing values.

* @param array $conf Plugin configuration from TypoScript

* @return boolean TRUE if initialization was successful, FALSE otherwise
* @see tx_myext_class:anotherFunc()

*/

protected function initialize(array $conf) {

/I Do something

}

In this example the long types are used (boolean instead of bool).

It must be discussed if the long types are mandatory or it if free to the developer.
Lets create a ticket at the cgl forge project. After this we can determine if there must be a sniff )

Related issues:
blocked by Coding Guidelines - Task # 53113: Use short version of type names Resolved

2013-10-24

History

#1 - 2012-09-22 11:46 - Stefano Kowalke
- Status changed from New to Accepted

- Target version set to 0.0.5

#2 - 2012-09-22 23:35 - Stefano Kowalke
- Target version changed from 0.0.5 to 0.0.6

#3 - 2013-05-04 16:13 - Stefano Kowalke
- Target version changed from 0.0.6 to 1.0.0

#4 - 2013-10-24 23:59 - Stefano Kowalke
- Status changed from Accepted to On Hold

#5 - 2013-10-25 20:42 - Stefano Kowalke

- Target version changed from 1.0.0 to 1.1.0
#6 - 2014-08-24 19:59 - Andy Grunwald
- Status changed from On Hold to Closed

Moved to github: https:/github.com/typo3-ci/TYPO3SniffPool/issues/32
